<?php

namespace App\Entity\Ag;

use App\Entity\Members;
use App\Repository\Ag\MainSignedRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: MainSignedRepository::class)]
#[ORM\Table(name: 'ag_main_signed')]
class MainSigned
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\ManyToOne(inversedBy: 'mainSigneds')]
    private ?Main $main = null;

    #[ORM\ManyToOne(inversedBy: 'mainSigneds')]
    private ?Members $members = null;

    #[ORM\Column(length: 255)]
    private ?string $submiterId = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getMain(): ?Main
    {
        return $this->main;
    }

    public function setMain(?Main $main): static
    {
        $this->main = $main;

        return $this;
    }

    public function getMembers(): ?Members
    {
        return $this->members;
    }

    public function setMembers(?Members $members): static
    {
        $this->members = $members;

        return $this;
    }

    public function getSubmiterId(): ?string
    {
        return $this->submiterId;
    }

    public function setSubmiterId(string $submiterId): static
    {
        $this->submiterId = $submiterId;

        return $this;
    }
}
